1.5 branch won't compile

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

1.5 branch won't compile

Darren Freeman-3
Hi all,

you'll love this :) The 1.5 "stable" branch won't compile for me today.
See below for the relevant error.

Today's revision that failed is r21399. I went backward to find the most
recent revision which compiles, which is r21356. The change which broke
it is therefore r21357.

I'll now do a fresh build of the next revision just to be sure. If I
don't write back then assume it failed again.

Have fun,
Darren

--------8<--------8<--------8<--------8<--------8<--------

make[7]: Entering directory `/home/dfreeman/lyx-devel/src/frontends/qt4'
if /bin/sh ../../../libtool --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H
-I. -I. -I../../../src  -DQT_CLEAN_NAMESPACE -DQT_GENUINE_STR
-DQT_NO_STL -DQT_NO_KEYWORDS -Winvalid-pch --include=./pch.h
-I../../../src -I../../../src/frontends -I../../../images -DQT_SHARED
-I/usr/include/QtCore -I/usr/include/QtGui   -I../../../boost
-I../../../src/frontends/controllers -Wextra -Wall     -g -O -MT
Dialogs.lo -MD -MP -MF ".deps/Dialogs.Tpo" -c -o Dialogs.lo Dialogs.cpp;
\
        then mv -f ".deps/Dialogs.Tpo" ".deps/Dialogs.Plo"; else rm -f
".deps/Dialogs.Tpo"; exit 1; fi
 g++ -DHAVE_CONFIG_H -I. -I. -I../../../src -DQT_CLEAN_NAMESPACE
-DQT_GENUINE_STR -DQT_NO_STL -DQT_NO_KEYWORDS -Winvalid-pch
--include=./pch.h -I../../../src -I../../../src/frontends
-I../../../images -DQT_SHARED -I/usr/include/QtCore -I/usr/include/QtGui
-I../../../boost -I../../../src/frontends/controllers -Wextra -Wall -g
-O -MT Dialogs.lo -MD -MP -MF .deps/Dialogs.Tpo -c Dialogs.cpp -o
Dialogs.o
ui/PrefUi.h: In member function 'void Ui_QPrefUi::setupUi(QWidget*)':
ui/PrefUi.h:123: error: 'class QGridLayout' has no member named
'setLeftMargin'
ui/PrefUi.h:124: error: 'class QGridLayout' has no member named
'setTopMargin'
ui/PrefUi.h:125: error: 'class QGridLayout' has no member named
'setRightMargin'
ui/PrefUi.h:126: error: 'class QGridLayout' has no member named
'setBottomMargin'
ui/PrefUi.h:127: error: 'class QGridLayout' has no member named
'setHorizontalSpacing'
ui/PrefUi.h:128: error: 'class QGridLayout' has no member named
'setVerticalSpacing'
ui/PrefUi.h:158: error: 'class QHBoxLayout' has no member named
'setLeftMargin'
ui/PrefUi.h:159: error: 'class QHBoxLayout' has no member named
'setTopMargin'
ui/PrefUi.h:160: error: 'class QHBoxLayout' has no member named
'setRightMargin'
ui/PrefUi.h:161: error: 'class QHBoxLayout' has no member named
'setBottomMargin'
ui/PrefUi.h:211: error: 'class QVBoxLayout' has no member named
'setLeftMargin'
ui/PrefUi.h:212: error: 'class QVBoxLayout' has no member named
'setTopMargin'
ui/PrefUi.h:213: error: 'class QVBoxLayout' has no member named
'setRightMargin'
ui/PrefUi.h:214: error: 'class QVBoxLayout' has no member named
'setBottomMargin'
ui/PrefUi.h:223: error: 'class QHBoxLayout' has no member named
'setLeftMargin'
ui/PrefUi.h:224: error: 'class QHBoxLayout' has no member named
'setTopMargin'
ui/PrefUi.h:225: error: 'class QHBoxLayout' has no member named
'setRightMargin'
ui/PrefUi.h:226: error: 'class QHBoxLayout' has no member named
'setBottomMargin'
ui/PrefUi.h:254: error: 'class QHBoxLayout' has no member named
'setLeftMargin'
ui/PrefUi.h:255: error: 'class QHBoxLayout' has no member named
'setTopMargin'
ui/PrefUi.h:256: error: 'class QHBoxLayout' has no member named
'setRightMargin'
ui/PrefUi.h:257: error: 'class QHBoxLayout' has no member named
'setBottomMargin'
ui/PrefUi.h:281: error: 'class QVBoxLayout' has no member named
'setLeftMargin'
ui/PrefUi.h:282: error: 'class QVBoxLayout' has no member named
'setTopMargin'
ui/PrefUi.h:283: error: 'class QVBoxLayout' has no member named
'setRightMargin'
ui/PrefUi.h:284: error: 'class QVBoxLayout' has no member named
'setBottomMargin'
make[7]: *** [Dialogs.lo] Error 1
make[7]: Leaving directory `/home/dfreeman/lyx-devel/src/frontends/qt4'
make[6]: *** [all-recursive] Error 1
make[6]: Leaving directory `/home/dfreeman/lyx-devel/src/frontends/qt4'
make[5]: *** [all] Error 2
make[5]: Leaving directory `/home/dfreeman/lyx-devel/src/frontends/qt4'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/home/dfreeman/lyx-devel/src/frontends'
make[3]: *** [all] Error 2
make[3]: Leaving directory `/home/dfreeman/lyx-devel/src/frontends'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/dfreeman/lyx-devel/src'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/home/dfreeman/lyx-devel/src'
make: *** [all-recursive] Error 1

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: 1.5 branch won't compile

Darren Freeman-3
On Sat, 2007-11-03 at 19:27 +1100, Darren Freeman wrote:
> Today's revision that failed is r21399. I went backward to find the most
> recent revision which compiles, which is r21356. The change which broke
> it is therefore r21357.

Sorry, I'm off-by-one. The version which compiles is r21357 and the
break occurred at r21358.

Have fun,
Darren

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: 1.5 branch won't compile

Abdelrazak Younes
Darren Freeman wrote:
> On Sat, 2007-11-03 at 19:27 +1100, Darren Freeman wrote:
>> Today's revision that failed is r21399. I went backward to find the most
>> recent revision which compiles, which is r21356. The change which broke
>> it is therefore r21357.
>
> Sorry, I'm off-by-one. The version which compiles is r21357 and the
> break occurred at r21358.

Are you sure it's not 21368?

If yes, then looks like you used Qt 4.3 Juergen...

Abdel.


Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: 1.5 branch won't compile

Darren Freeman-3
On Sat, 2007-11-03 at 10:17 +0100, Abdelrazak Younes wrote:

> Darren Freeman wrote:
> > On Sat, 2007-11-03 at 19:27 +1100, Darren Freeman wrote:
> >> Today's revision that failed is r21399. I went backward to find the most
> >> recent revision which compiles, which is r21356. The change which broke
> >> it is therefore r21357.
> >
> > Sorry, I'm off-by-one. The version which compiles is r21357 and the
> > break occurred at r21358.
>
> Are you sure it's not 21368?

Sorry off-by-10 :) Must have been having a bout of dyslexia...

> If yes, then looks like you used Qt 4.3 Juergen...

I'm using 4.2.1 (stock RPM from OpenSUSE).

Have fun,
Darren

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: 1.5 branch won't compile

Jürgen Spitzmüller
In reply to this post by Abdelrazak Younes
Abdelrazak Younes wrote:
> If yes, then looks like you used Qt 4.3 Juergen...

How weird ...
I'll correct it.

Jürgen
Loading...